> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Additional Item

> Create additional item for a job.



## OpenAPI

````yaml /spec/oas.yaml post /locations/{location_id}/jobs/{job_id}/additional_items
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /locations/{location_id}/jobs/{job_id}/additional_items:
    post:
      tags:
        - Jobs
      summary: Create Additional Item
      description: Create additional item for a job.
      operationId: jobs_create_additional_item
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Location identifier.
        - name: job_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Job identifier.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAdditionalItemModel'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdditionalItemModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    CreateAdditionalItemModel:
      type: object
      description: Create job item.
      properties:
        deduct_weight:
          type: string
        description:
          type: string
          description: Item description.
        heavy_weight:
          type: string
        light_weight:
          type: string
        material_item_id:
          type: integer
          format: int64
          description: Material item identifier.
        notes:
          type: string
          description: Item notes.
        quantity:
          type: string
          description: Item quantity.
        required:
          type: boolean
          description: Item required when TRUE.
      required:
        - description
        - material_item_id
        - required
    AdditionalItemModel:
      type: object
      description: Job item.
      properties:
        deduct_weight:
          type: string
        description:
          type: string
          description: Item description.
        heavy_weight:
          type: string
        id:
          type: integer
          format: int64
          description: Additional item identifier.
        is_completed:
          type: boolean
          description: Completion flag.
        is_declined:
          type: boolean
          description: Declined flag.
        is_failed:
          type: boolean
          description: Failed flag.
        job_id:
          type: integer
          format: int64
          description: Job identifier.
        light_weight:
          type: string
        material_item_id:
          type: integer
          format: int64
          description: Material item identifier.
        notes:
          type: string
          description: Item notes.
        quantity:
          type: string
          description: Item quantity.
        required:
          type: boolean
          description: Item required when TRUE.
      required:
        - deduct_weight
        - description
        - heavy_weight
        - id
        - is_completed
        - is_declined
        - is_failed
        - job_id
        - light_weight
        - material_item_id
        - notes
        - quantity
        - required
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````